html, body 
{ 
    margin: 0px; 
    padding: 0px; 
    height: 100%; 
    font-family: 'Roboto', sans-serif;
    min-width: 800px !important;
}

.u { text-decoration:underline; }
.b { font-weight:bold; }
.i { font-style:italic; }
.small-caps { font-variant:small-caps; }
.uppercase { text-transform:uppercase; }

.form-group  { 
    line-height: 35px !important; 
    margin-bottom: 0px !important;
}

.font-size-8pt { font-size:8pt; }
.font-size-9pt { font-size:9pt; }
.font-size-10pt { font-size:10pt; }
.font-size-11pt { font-size:11pt; }
.font-size-12pt { font-size:12pt; }
.font-size-13pt { font-size:13pt; }
.font-size-14pt { font-size:14pt; }
.font-size-15pt { font-size:15pt; }
.font-size-16pt { font-size:16pt; }
.font-size-17pt { font-size:17pt; }
.font-size-18pt { font-size:18pt; }
.font-size-19pt { font-size:19pt; }

.margin-top-0 { margin-top: 0px; }
.margin-top-5 { margin-top: 5px; }
.margin-top-10 { margin-top: 10px; }
.margin-top-15 { margin-top: 15px; }
.margin-top-20 { margin-top: 20px; }
.margin-top-25 { margin-top: 25px; }
.margin-top-30 { margin-top: 30px; }
.margin-top-35 { margin-top: 35px; }
.margin-top-40 { margin-top: 40px; }
.margin-top-45 { margin-top: 45px; }
.margin-top-50 { margin-top: 50px; }
.margin-top-55 { margin-top: 55px; }
.margin-top-60 { margin-top: 60px; }
.margin-top-65 { margin-top: 65px; }
.margin-top-70 { margin-top: 70px; }

.margin-bottom-0 { margin-bottom: 0px; }
.margin-bottom-5 { margin-bottom: 5px; }
.margin-bottom-10 { margin-bottom: 10px; }
.margin-bottom-15 { margin-bottom: 15px; }
.margin-bottom-20 { margin-bottom: 20px; }
.margin-bottom-25 { margin-bottom: 25px; }
.margin-bottom-30 { margin-bottom: 30px; }
.margin-bottom-35 { margin-bottom: 35px; }
.margin-bottom-40 { margin-bottom: 40px; }
.margin-bottom-45 { margin-bottom: 45px; }
.margin-bottom-50 { margin-bottom: 50px; }
.margin-bottom-55 { margin-bottom: 55px; }
.margin-bottom-60 { margin-bottom: 60px; }
.margin-bottom-65 { margin-bottom: 65px; }
.margin-bottom-70 { margin-bottom: 70px; }


.margin-left-0 { margin-left: 0px; }
.margin-left-5 { margin-left: 5px; }
.margin-left-10 { margin-left: 10px; }
.margin-left-15 { margin-left: 15px; }
.margin-left-20 { margin-left: 20px; }
.margin-left-25 { margin-left: 25px; }
.margin-left-30 { margin-left: 30px; }
.margin-left-35 { margin-left: 35px; }
.margin-left-40 { margin-left: 40px; }
.margin-left-45 { margin-left: 45px; }
.margin-left-50 { margin-left: 50px; }
.margin-left-55 { margin-left: 55px; }
.margin-left-60 { margin-left: 60px; }
.margin-left-65 { margin-left: 65px; }
.margin-left-70 { margin-left: 70px; }


.margin-right-0 { margin-right: 0px; }
.margin-right-5 { margin-right: 5px; }
.margin-right-10 { margin-right: 10px; }
.margin-right-15 { margin-right: 15px; }
.margin-right-20 { margin-right: 20px; }
.margin-right-25 { margin-right: 25px; }
.margin-right-30 { margin-right: 30px; }
.margin-right-35 { margin-right: 35px; }
.margin-right-40 { margin-right: 40px; }
.margin-right-45 { margin-right: 45px; }
.margin-right-50 { margin-right: 50px; }
.margin-right-55 { margin-right: 55px; }
.margin-right-60 { margin-right: 60px; }
.margin-right-65 { margin-right: 65px; }
.margin-right-70 { margin-right: 70px; }

.padding-top-0 { padding-top: 0px; }
.padding-top-5 { padding-top: 5px; }
.padding-top-10 { padding-top: 10px; }
.padding-top-15 { padding-top: 15px; }
.padding-top-20 { padding-top: 20px; }
.padding-top-25 { padding-top: 25px; }
.padding-top-30 { padding-top: 30px; }
.padding-top-35 { padding-top: 35px; }
.padding-top-40 { padding-top: 40px; }
.padding-top-45 { padding-top: 45px; }
.padding-top-50 { padding-top: 50px; }
.padding-top-55 { padding-top: 55px; }
.padding-top-60 { padding-top: 60px; }
.padding-top-65 { padding-top: 65px; }
.padding-top-70 { padding-top: 70px; }

.padding-bottom-0 { padding-bottom: 0px; }
.padding-bottom-5 { padding-bottom: 5px; }
.padding-bottom-10 { padding-bottom: 10px; }
.padding-bottom-15 { padding-bottom: 15px; }
.padding-bottom-20 { padding-bottom: 20px; }
.padding-bottom-25 { padding-bottom: 25px; }
.padding-bottom-30 { padding-bottom: 30px; }
.padding-bottom-35 { padding-bottom: 35px; }
.padding-bottom-40 { padding-bottom: 40px; }
.padding-bottom-45 { padding-bottom: 45px; }
.padding-bottom-50 { padding-bottom: 50px; }
.padding-bottom-55 { padding-bottom: 55px; }
.padding-bottom-60 { padding-bottom: 60px; }
.padding-bottom-65 { padding-bottom: 65px; }
.padding-bottom-70 { padding-bottom: 70px; }


.padding-left-0 { padding-left: 0px; }
.padding-left-5 { padding-left: 5px; }
.padding-left-10 { padding-left: 10px; }
.padding-left-15 { padding-left: 15px; }
.padding-left-20 { padding-left: 20px; }
.padding-left-25 { padding-left: 25px; }
.padding-left-30 { padding-left: 30px; }
.padding-left-35 { padding-left: 35px; }
.padding-left-40 { padding-left: 40px; }
.padding-left-45 { padding-left: 45px; }
.padding-left-50 { padding-left: 50px; }
.padding-left-55 { padding-left: 55px; }
.padding-left-60 { padding-left: 60px; }
.padding-left-65 { padding-left: 65px; }
.padding-left-70 { padding-left: 70px; }


.padding-right-0 { padding-right: 0px; }
.padding-right-5 { padding-right: 5px; }
.padding-right-10 { padding-right: 10px; }
.padding-right-15 { padding-right: 15px; }
.padding-right-20 { padding-right: 20px; }
.padding-right-25 { padding-right: 25px; }
.padding-right-30 { padding-right: 30px; }
.padding-right-35 { padding-right: 35px; }
.padding-right-40 { padding-right: 40px; }
.padding-right-45 { padding-right: 45px; }
.padding-right-50 { padding-right: 50px; }
.padding-right-55 { padding-right: 55px; }
.padding-right-60 { padding-right: 60px; }
.padding-right-65 { padding-right: 65px; }
.padding-right-70 { padding-right: 70px; } 


.row_no_margin {
    margin-left: 0px !important;
    margin-right: 0px !important;
}

.main_webfm_logo {
    font-size: 14px;
    color: #c12e2a;
}

.navbar-nav>li>a {
    padding: 5px 10px !important;
}

.navbar-nav>li>ul>li>a:hover {
    background-image: linear-gradient(to bottom, lightgrey 0px, lightgrey 100%); background-image: -webkit-gradient(linear,left top,left bottom,from(lightgrey),to(lightgrey));
}

.navbar {
    min-height: 20px  !important;
}

.navbar-brand {
    height: 20px !important;
    padding: 4px 10px !important;
}

.main_color {
    color: #c12e2a;
}

.normal_hr {
    padding: 0px 0px !important;
    margin: 4px 10px !important;
}

#load_screen {
    width: 100%;
    height: 100%;
    background-color: rgba(128,128,128, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 9999999;
    display: none;
}

.centering {
    min-height: 100%;  /* Fallback for browsers do NOT support vh unit */
    min-height: 100vh; /* These two lines are counted as one :-)       */

    display: flex;
    align-items: center;
    margin:auto; 
    width: 100%;
}

.login_container {
    display:flex;    
}

.selectize_icon {
    font-size: 14px;
    position: relative;
    bottom: 2px;
}

.warning {
    color: red;
}

.modal-dialog-xxl {
   width: 90% !important;
   margin: auto  !important;
}

.modal-dialog-xl {
   width: 80% !important;
   margin: auto  !important;
}

.modal-dialog-lg {
   width: 70% !important;
   margin: auto  !important;
}

.vertical_text{
    -webkit-transform:rotate(270deg);
    -moz-transform:rotate(270deg);
    -o-transform: rotate(270deg);
    -ms-transform:rotate(270deg);
    transform: rotate(270deg);
    white-space:nowrap;
    display:block;
    position: absolute; 
    left: 0px;
}

.hotkey_letter_style {
    color: #e60000;
}

#search_input {
    width: 50%;
    float: left;
    min-width: 10%;
}

#search_button {
    float: left;
    border: 1px solid lightgrey;
}

#search_cancel_button {
    float: left;
    border: 1px solid lightgrey;
}

#zoom_select {
    width: 60%;
}

#verb_table tr td input, #noun_table tr td input, #bom_table tr td input {
    height: 24px !important;
}

#verb_table tr td, #noun_table tr td, #bom_table tr td {
    padding: 1px !important;
}

#cd_table tr td {
    padding: 1px !important;
}

.cd_yellow {
    background-color: #ffff00;
}

.cd_red {
    background-color: #ff9999;
}

.cd_grey {
    background-color: #d3d3d3;
}

.cd_yellow.cd_red {
    background-color: #FF8C00;
}

.cd_yellow.cd_grey {
    background-color: #E9E96A;
}

.cd_red.cd_grey {
    background-color: #E9B6B6;
}

.cd_yellow.cd_red.cd_grey {
    background-color: #E5B77F;
}

.cd_bom_pareto_table_title, .cd_couple_pareto_table_title {
    padding: 2px 7px;
    font-size: 12px;
    text-align: right;
    vertical-align: middle;   
    font-weight: bold;
}

.cd_bom_pareto_table_content {
    border-left: 1px solid darkgrey;
    border-right: 1px solid darkgrey;
    padding: 0px 0px 0px 2px;
    background-color: lightgrey;
}

.cd_couple_pareto_table_content {
    border-left: 1px solid darkgrey;
    border-right: 1px solid darkgrey;
    background-color: lightgrey;
    width: 26px;
    height: 20px;
}

.confl_yellow_num, .confl_red_num, .confl_grey_num {
    cursor: pointer
}

.highlighted_confl {
    font-weight: bold;
}

#concept_test_table tr td, #concept_test_table tr td input {
    height: 24px;
    padding: 0px 0px;
}

#concept_test_table tr th {
    vertical-align: middle;
}

#concept_test_table tr td input {
    padding: 0px 5px;
}

.concept_det {
    background-color: #d3d3d3;
}

.concept_test {
    background-color: #fcf8e3;
}

.concept_sampl {
    background-color: #f9c998;
}

.concept_tim {
    background-color: #d9edf7;
}

.concept_res {
    background-color: #B7D9B1;
}

#zoom_slider {
    width: 100%;
}

.cd_high_noun {
    color: green;
}

.cd_high_verb {
    color: blue;
}

.cd_high_bom {
    color: magenta;
}

.dyn_cd_noun {
    background-color: #32ff32 !important; 
    background-image: linear-gradient(to bottom, #b2ffb2, #32ff32) !important;
}

.dyn_cd_verb {
    background-color: #3232ff !important;
    background-image: linear-gradient(to bottom, #ccccff, #3232ff) !important;
}

.dyn_cd_bom {
    background-color: #ff32ff !important;
    background-image: linear-gradient(to bottom, #ffccff, #ff32ff) !important;
}

.dyn_cd_none {
    background-color: #f5f5f5 !important;
    background-image: linear-gradient(to bottom, #ffffff, #e6e6e6) !important;
}

.summary_table_pareto tr th {
    min-width: 100px; 
    text-align: center;
}

.summary_table_pareto tr td {
    min-width: 100px; 
    text-align: center;
    height: 100%;
}

.summary_table_pareto tr td textarea {
    height: 100% !important;
}

.summary_table_pareto tr td select {
    height: 100% !important;
}

input[type="file"] { 
    height: 30px;
    min-width: 400px;
}

.main_model_name {
    border-bottom: 1px solid black;
    background-color: #F8F8F7;
}

#model_name_id {
    color: darkblue;
    font-weight: bold;
}

.jstree-wholerow-clicked {
    border: 1px solid red; 
}

.jstree-default .jstree-clicked {  
    background: #beebff !important;
    background: -webkit-linear-gradient(top,#beebff 0,#a8e4ff 100%) !important;
    background: linear-gradient(to bottom,#beebff 0,#a8e4ff 100%) !important;
    border-top: 1px solid red; 
    border-bottom: 1px solid red; 
}

.yellow_conflict_list {
    background-color: #ffff99;
    padding: 1px 3px;
    border: 1px solid darkgrey;
}

.red_conflict_list {
    background-color: #ffcccc;
    padding: 1px 3px;
    border: 1px solid darkgrey;
}

.grey_conflict_list {
    background-color: #d3d3d3;
    padding: 1px 3px;
    border: 1px solid darkgrey;
}

.cd_sort {
    cursor: pointer;
}

.unselectable {
    -webkit-user-select: none; /* Chrome/Safari */        
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+ */
    /* Rules below not implemented in browsers yet */
    -o-user-select: none;
    user-select: none;
}

#pareto_table {
    min-width: 800px;
}

#pareto_subsys_content_header, #pareto_func_content_header, #pareto_sort_content_header {
    overflow-x: hidden;
    overflow-y: scroll;
}

#pareto_subsys_content, #pareto_func_content, #pareto_sort_content {
    height: 50vh !important;
    overflow-y: scroll;
}

#pareto_func_content::-webkit-scrollbar, #pareto_subsys_content::-webkit-scrollbar, #pareto_sort_content::-webkit-scrollbar,
#pareto_func_content_header::-webkit-scrollbar, #pareto_subsys_content_header::-webkit-scrollbar, #pareto_sort_content_header::-webkit-scrollbar
{
    width: 14px;
}
 
#pareto_func_content::-webkit-scrollbar-track, #pareto_subsys_content::-webkit-scrollbar-track, #pareto_sort_content::-webkit-scrollbar-track,
#pareto_func_content_header::-webkit-scrollbar-track, #pareto_subsys_content_header::-webkit-scrollbar-track, #pareto_sort_content_header::-webkit-scrollbar-track 
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
    border-radius: 6px;
}
 
#pareto_func_content::-webkit-scrollbar-thumb, #pareto_subsys_content::-webkit-scrollbar-thumb, #pareto_sort_content::-webkit-scrollbar-thumb,
#pareto_func_content_header::-webkit-scrollbar-thumb, #pareto_subsys_content_header::-webkit-scrollbar-thumb, #pareto_sort_content_header::-webkit-scrollbar-thumb
{
    border-radius: 6px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5); 
}

.par_guided_done {
    background-color: green;
}

.par_guided_undone {
    background-color: red;
}

.guided_top_table {
    width: 100%;
    border-collapse: separate;
    font-size: 11px;
    line-height: 1;
}

.guided_top_table tr td {
    border: 1px solid white;
    height: 18px !important;
}

.move_to_func_type {
    cursor: pointer;
}

.show_more_class {
    cursor: pointer;
}

.db_model_headers {
    background-color: lightgrey;
}

.collapse_model_hst {
    background-color: #F5F5F5;
    border: 1px dashed black;
}

.select_model_db {
    cursor: pointer;
}

.hide_when {
    display: none;
}

#responsibility_table.table, tr, td {
    position: relative;
}

.textarea_height_full {    
    width: 90% !important;
    top: 5px; left: 5px; right: -5px; bottom: 5px;
    position: absolute;
    resize: none;
    -webkit-box-sizing: border-box; /* <=iOS4, <= Android  2.3 */
    -moz-box-sizing: border-box; /* FF1+ */
    box-sizing: border-box; /* Chrome, IE8, Opera, Safari 5.1*/
}

.remove_resp_header {
    color: red;
    display: none;
    cursor: pointer;
}

.resp_hidden_headers {
    display: none;
}

.pareto_scales_types_input {
    font-weight: bold; 
    font-size: 20px !important; 
    text-align: center;
}

.pareto_scales_content {
    height: 50vh !important;
    overflow-y: scroll;
}

.pareto_scales_content::-webkit-scrollbar
{
    width: 14px;
}
 
.pareto_scales_content::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
    border-radius: 6px;
}
 
.pareto_scales_content::-webkit-scrollbar-thumb
{
    border-radius: 6px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5); 
}

.cd_manage_dict_content {
    height: 40vh !important;
    overflow-y: scroll;
    overflow-x: hidden;
}

#concept_test_table_scroll {
    height: 50vh !important;
    overflow-y: scroll;
}

#concept_test_table_scroll::-webkit-scrollbar
{
    width: 14px;
}
 
#concept_test_table_scroll::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
    border-radius: 6px;
}
 
#concept_test_table_scroll::-webkit-scrollbar-thumb
{
    border-radius: 6px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5); 
}

.subsys_class::-ms-clear, .func_class::-ms-clear, #edit_node_text::-ms-clear, #edit_text_failure_modes::-ms-clear {
    display: none;
}

#concept_test_table input::-ms-clear, #model_name_id::-ms-clear, #filename::-ms-clear, #num_images::-ms-clear, #bullet_table input::-ms-clear, 
.pareto_scales_content input::-ms-clear, #bom_table input::-ms-clear, #verb_table input::-ms-clear, #noun_table input::-ms-clear, #search_input::-ms-clear {
    display: none;
}

.activeUndoRedo {
    color: green !important;
}

.save_btn_icon {
    color: green; 
    font-size: 24px;
}

.save_btn_text {
    font-size: 10px; 
    position: absolute; 
    font-weight: normal;
    cursor: initial;
}

.save_close_btn_icon {
    color: green; 
    font-size: 24px; 
    margin-left: 15px; 
    margin-right: 15px;
}

.save_close_btn_text1 {
    font-size: 10px; 
    position: absolute; 
    font-weight: normal;
    cursor: initial;
}

.save_close_btn_text2 {
    font-size: 10px; 
    position: absolute; 
    font-weight: normal;
    cursor: initial;
}

.close_btn_icon {
    color: darkred; 
    font-size: 24px;
}

.close_btn_text {
    font-size: 10px; 
    position: absolute;
    font-weight: normal;
    cursor: initial;
}

.modal_window_3_btn .save_btn_text { 
    left: 0px; 
    top: 26px;
}

.modal_window_3_btn .save_close_btn_text1 { 
    left: 38px; 
    top: 25px; 
}

.modal_window_3_btn .save_close_btn_text2 { 
    left: 41px; 
    top: 34px; 
}

.modal_window_3_btn .close_btn_text { 
    left: 86px; 
    top: 26px; 
}

.modal_window_2_btn .save_close_btn_text1 { 
    left: 11px; 
    top: 25px; 
}

.modal_window_2_btn .save_close_btn_text2 { 
    left: 13px; 
    top: 34px;
}

.modal_window_2_btn .close_btn_text { 
    left: 57px; 
    top: 26px;
}

.modal_window_1_btn .close_btn_text { 
    left: -1px; 
    top: 26px;
}

.modal_window_1_btn, .modal_window_2_btn, .modal_window_3_btn {
    float: right; 
    position: relative;
}

.fcs_color_level {
    color: blue;
}

.fcs_color_total_cnt {
    color: green;
}

.fcs_color_crit_cnt {
    color: red;
}

.fcs_color_rd_cnt {
    color: #e59400;
}

.fcs_one_block {
    display: inline-block;
    padding: 6px 10px;
    border-radius: 3px;
    border: 1px solid grey;    
    margin-top: 5px;
}

.menu_go_to_fcs {
    margin-top: 1px;
    font-size: 13px;
    color: black !important;
    margin-left: 5px;
}